Bug 107966 - NFS hangs kernel
NFS hangs kernel
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-10-25 02:30 EDT by Alan Olsen
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-15 20:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Olsen 2003-10-25 02:30:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030807

Description of problem:
H have a large file server that has four drives exported to the subnet I am on.
 On my Redhat 9 box, I mount all of those drives.  Then if I move files from one
exported file system to another (from one drive to another over the NFS mount)
the system will lock hard.  No messages in syslog.  No messages in syslog on the
other machine.  The system that is being mounted is fine.

This is consistant behaviour.  Sometimes I will get hangs when transfering large
quantities of files, but sometimes not.  Mount to mount kills the system dead.

The firewall is turned off.

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9 nfs-utils-1.0.5-1

How reproducible:

Steps to Reproduce:
1. mount -t nfs /mnt/export1
2. mount -t nfs /mnt/export2
3. mv -v /mnt/export1/big-mess-o-files /mnt/export2

Actual Results:  Locks the system.

Expected Results:  Should move the files.

Additional info:
Comment 1 Steve Dickson 2004-06-15 20:57:38 EDT
I was unable to reproduce this problem with a more recent kernel
so I' closing this as fixed in current release. 

Note You need to log in before you can comment on or make changes to this bug.